## org.apache.mahout.utils.clustering
Class CSVClusterWriter

    java.lang.Object
      org.apache.mahout.utils.clustering.AbstractClusterWriter
          org.apache.mahout.utils.clustering.CSVClusterWriter

All Implemented Interfaces:
  Closeable, ClusterWriter

    public class CSVClusterWriter

extends AbstractClusterWriter

Format is adjacency style as put forth at http://gephi.org/users/supported-graph-formats/csv-format/, the centroid is the first element and all the rest of the row are the points in that cluster

Field Summary

Fields inherited from class org.apache.mahout.utils.clustering.AbstractClusterWriter
`clusterIdToPoints, measure, writer`

Constructor Summary
`CSVClusterWriter(Writer writer, Map<Integer,List<WeightedPropertyVectorWritable>> clusterIdToPoints, DistanceMeasure measure)`

Method Summary
`void` `write(ClusterWritable clusterWritable)` Write out a Cluster

Methods inherited from class org.apache.mahout.utils.clustering.AbstractClusterWriter
`close, getClusterIdToPoints, getTopFeatures, getTopTerms, getWriter, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSVClusterWriter

    public CSVClusterWriter(Writer writer,
                            Map<Integer,List<WeightedPropertyVectorWritable>> clusterIdToPoints,
                            DistanceMeasure measure)

Method Detail

### write

    public void write(ClusterWritable clusterWritable)
               throws IOException

  Description copied from interface: `ClusterWriter`
  Write out a Cluster

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.